const { contextBridge, ipcRenderer } = require('electron')
const { IPC } = require('../enum')


class IpcChild {
  init() {
    this.on()
  }

  on() {
    contextBridge.exposeInMainWorld('electronAPI', {
      onMainToRender: (callback) => ipcRenderer.on(IPC.MAIN_TO_RENDERER, callback),//主进程发送消息，渲染进程监听
      onRenderToMain: (msg) => ipcRenderer.send(IPC.RENDERER_TO_MAIN, msg)//渲染进程发送消息
    })
  }
}

module.exports = IpcChild
